/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/


#include <DMA.h>





//=============================================================================
// Configure DMA channel for DelSigADC-Filter
//=============================================================================

void DMA_Config(void)//Initializes and sets up DMA for use
{
uint8 DMA_Chan;
uint8 DMA_TD[1];

// DMA Configuration for DMA
#define DMA_BYTES_PER_BURST 2
#define DMA_REQUEST_PER_BURST 1
#define DMA_SRC_BASE (CYDEV_PERIPH_BASE)
#define DMA_DST_BASE (CYDEV_PERIPH_BASE)

//  ADC1_SetCoherency(ADC1_COHER_MID);//16bit only (must set manually in ADC1 Editor)
Filter_DALIGN_REG=1;//16bit only
Filter_SetCoherency( Filter_CHANNEL_A, Filter_KEY_MID);//16bit only

DMA_Chan = DMA_DmaInitialize(DMA_BYTES_PER_BURST, DMA_REQUEST_PER_BURST,  HI16(DMA_SRC_BASE), HI16(DMA_DST_BASE));
DMA_TD[0] = CyDmaTdAllocate();

//CyDmaTdSetConfiguration(DMA_TD[0], 2, DMA_TD[0], 0);
CyDmaTdSetConfiguration(DMA_TD[0], 2, DMA_INVALID_TD, 0);
//CyDmaTdSetAddress(DMA_TD[0], LO16((uint32)ADC1_DEC_SAMP_PTR), LO16((uint32)Filter_STAGEAM_PTR));
CyDmaTdSetAddress(DMA_TD[0], LO16((uint32)ADC1_DEC_SAMP_PTR), LO16((uint32)Filter_STAGEA_PTR));

CyDmaChSetInitialTd(DMA_Chan, DMA_TD[0]);
CyDmaChEnable(DMA_Chan, 1);

    
}

/* [] END OF FILE */
